summaryrefslogtreecommitdiff
path: root/net-misc
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2016-08-30 19:08:08 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2016-08-30 19:08:08 +0300
commite9220842cf145ec49bb70fa986e627ba5b85bc8f (patch)
tree1a5363d731ac73d6fd114112dd5257f170d24c00 /net-misc
parenta3a213f6728942c5c33025bfae9e11bb3c29cdd3 (diff)
added nyx (old name arm) - tor cli tool
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/nyx/nyx-scm.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/net-misc/nyx/nyx-scm.ebuild b/net-misc/nyx/nyx-scm.ebuild
new file mode 100644
index 0000000..18e53be
--- /dev/null
+++ b/net-misc/nyx/nyx-scm.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1 git-r3
+
+DESCRIPTION="A ncurses-based status monitor for Tor relays"
+HOMEPAGE="http://www.atagar.com/arm/"
+SRC_URI=""
+EGIT_REPO_URI="https://git.torproject.org/nyx.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+
+DEPEND="test? ( dev-python/mock[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=">=net-libs/stem-1.2.2_p20140718[${PYTHON_USEDEP}]
+ net-misc/tor"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+}
+
+python_install() {
+ distutils-r1_python_install
+ # Workaround until setup.py is fixed upstream
+# python_moduleinto nyx
+# python_domodule nyx/config
+# python_replicate_script "${ED}"/usr/bin/run_arm
+}
+python_install_all() {
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ ${PYTHON} run_tests.py || die
+}
+
+pkg_postinst() {
+ elog "Some graphing data issues have been noted in testing"
+ elog "when run as root. It is not recommended to run arm as"
+ elog "root until those issues have been isolated and fixed."
+ elog
+ elog "Trouble with graphs under app-misc/screen? Try:"
+ elog 'TERM="rxvt-unicode" arm'
+}